## org.eclipse.datatools.sqltools.sql.parser.ast
Interface IASTRoutine

All Superinterfaces:
  IASTDeployable, Node

    public interface IASTRoutine

extends IASTDeployable

Author:
  Hui Cao

Method Summary
`IASTSQLParamDefList` `getParameDefList()`
`Node` `getWithNode()`
`void` `setWithNode(Node with)`

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.IASTDeployable
`getDBObjectName, getNameNode, getSQLModel, getType, setNameNode, setSQLModel`

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Method Detail

### getWithNode

    Node getWithNode()

### setWithNode

    void setWithNode(Node with)

### getParameDefList

    IASTSQLParamDefList getParameDefList()